/*************************************************************
Generated for Telelogic Tau 4.2.0.2.13102 at Thu Apr 16 19:56:55 MEST 2009
Licensed Materials - Property of IBM 
 Copyright IBM Corporation 2002,2008.  All Rights Reserved.

U.S. Government Users Restricted Rights:  Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
*************************************************************/
///////////////////////////////////////////////////////////////////////////////
// torHostDebuggerProxy.h
// ----------------------
// Definition of a proxy class representing a Tau debugger on a host.
// Responsible for communication between the EventManager and the TauHostDebugger.
///////////////////////////////////////////////////////////////////////////////

#ifndef __TOR_HOSTDEBUGGERPROXY__H__
#define __TOR_HOSTDEBUGGERPROXY__H__

#ifdef TOR_USE_INSTRUMENTATION

#include "torPlatform.h"

#include "torTypes.h"
#include "torDispatchableClass.h"
#include "torCommunication.h"

namespace tor 
{
    namespace meta 
    {
        class TauHostDebuggerProxy : public EventReceiver, public TextServer
        {
        public:
            // Construction of a TauHostDebuggerProxy.
            // A connection to the Tau host will be attempted on the 
            // specified host and port.
            TauHostDebuggerProxy(const Charstring &host, Natural port);
            virtual ~TauHostDebuggerProxy() {}

            // Called when the TauHostDebuggerProxy receives an event 
            // from the EventManager. It is then responsible for 
            // transmitting that event further on to the TauHostDebugger.
            virtual bool receive(tor::Event *event);
        };
    } // namespace meta
} // namespace tor

#endif

#endif // __TOR_HOSTDEBUGGERPROXY__H__

