# Generated for Telelogic Tau 4.2.0.2.13102 at Thu Apr 16 19:56:51 MEST 2009
# Licensed Materials - Property of IBM 
#  Copyright IBM Corporation 2002,2008.  All Rights Reserved.
# 
# U.S. Government Users Restricted Rights:  Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

proc ReportAttributes { elmt headingLevel } {

  if { [catch { set attributeList [u2::GetEntities $elmt "Attribute"] } ] } { return };

  if { [llength $attributeList] == 0 } { return } ;# end_if no attributes in element to report

  html_paragraph ""
  html_heading $headingLevel "" "Attributes"


  foreach attribute $attributeList {

    # Create attribute report heading
    html_bullet_start

    # Add the attribute's name to the heading
    html_print [GetReference $attribute]

    # Attribute has a type
    html_print [GetElementType $attribute]

    html_bullet_end

    html_list_start
    ReportProperties $attribute 0
    html_list_end

  };#end_foreach attribute

};#end_proc ReportAttributes
