# Generated for Telelogic Tau 4.2.0.2.13102 at Thu Apr 16 19:56:51 MEST 2009
# Licensed Materials - Property of IBM 
#  Copyright IBM Corporation 2002,2008.  All Rights Reserved.
# 
# U.S. Government Users Restricted Rights:  Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

proc ReportConnectorEnds { elmt } {

  if { [catch { set connectorEnds [u2::GetEntities $elmt ConnectorEnd] } ] } { return };

  if { [llength $connectorEnds] == 0 } { return };#end_if there are no connector ends to report

  foreach connEnd $connectorEnds {

    set cePart [u2::GetEntity $connEnd Part]
    set cePort [u2::GetEntity $connEnd Port]

    set cePartName [GetElementName $cePart]
    set cePortName [GetElementName $cePort]

    html_bullet "$cePartName : $cePortName"

  };#end_foreach connector end

};#end_proc ReportConnectorEnds
