# Generated for Telelogic Tau 4.2.0.2.13102 at Thu Apr 16 19:56:51 MEST 2009
# Licensed Materials - Property of IBM 
#  Copyright IBM Corporation 2002,2008.  All Rights Reserved.
# 
# U.S. Government Users Restricted Rights:  Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

proc ReportVisibility { elmt } {

  if { ![catch { set visibility [u2::GetValue $elmt "Visibility"] } ] } {

    switch $visibility {
      VkNoVisibility {
        set visibility "Default"
      }
      VkPublic {
        set visibility "Public"
      }
      VkPrivate {
        set visibility "Private"
      }
      VkProtected {
        set visibility "Protected"
      }
      default {
        dbg::Output "Unhandled visibility value: $visibility\n";
        return
      }
    };#end_switch on visibility system value

    html_bullet "Visibility: $visibility"

  }

};#end_proc ReportVisibility

