// Generated for Telelogic Tau 4.2.0.2.13102 at Thu Apr 16 19:56:53 MEST 2009
// Licensed Materials - Property of IBM 
//  Copyright IBM Corporation 2002,2008.  All Rights Reserved.
// 
// U.S. Government Users Restricted Rights:  Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
// Generated for Telelogic Tau 4.2.0.2.13102 at Thu Apr 16 19:56:51 MEST 2009
// Licensed Materials - Property of IBM 
//  Copyright IBM Corporation 2002,2008.  All Rights Reserved.
// 
// U.S. Government Users Restricted Rights:  Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
//<

//
// Copyright c Telelogic AB, 2006. All rights reserved.
//
// DOORS Tau Integration
//
//////////////////////////////////////////////////
//
//////////////////////////////////////////////////
string getValidDate(string day, month, year)
{
    string strValidDate = null

    if (null day || null month || null year)
    {
        return strValidDate
    }
        
    // Check day
    if (isValidInt(day))
    {
        int nDay = intOf(day)
        if (nDay < 1 || nDay > 31)
            return strValidDate
    }

    // Check year
    if (!isValidInt(year))
    {
        return strValidDate
    }

    // Check month
    if (isValidInt(month))
    {
        int nMonth = intOf(month)
        if (nMonth < 1 || nMonth > 12)
            return strValidDate

        strValidDate = month "/" day "/" year
    }
    else
    {
       strValidDate = day " " month " " year
    }

    
    return strValidDate
}

//////////////////////////////////////////////////
// reDateFormat, nDatMatch, nMonthMatch and 
// nYearMatch are defined as global variables
// and passed from U2Req
//////////////////////////////////////////////////
Date convertDate(string strDate)
{
    Date d = null

    if (nDayMatch == -1 || nMonthMatch == -1 || nYearMatch == -1)
        return d
	
    string day = null
    string month = null
    string year = null

    if (reDateFormat strDate)
    {	
        day = strDate[match nDayMatch]
        month = strDate[match nMonthMatch]
        year = strDate[match nYearMatch]
    }
    else
    {
        return d
    }

    string strDateMatch = strDate[match 0]
    string strTime = strDate[length(strDateMatch):]

    string strValidDate = getValidDate(day, month, year)
    if (!null strValidDate)
        d = strValidDate "" strTime
    
    return d
}

